module.exports = {
  extends: ['eslint-config-airbnb-base', 'eslint-config-prettier', 'plugin:@typescript-eslint/recommended'],
  parser: '@typescript-eslint/parser',
  parserOptions: {
    ecmaFeatures: { jsx: true },
    ecmaVersion: 2018,
    sourceType: 'module',
  },
  plugins: ['@typescript-eslint', 'import'],
  rules: {
    '@typescript-eslint/camelcase': 'off',
    '@typescript-eslint/explicit-function-return-type': 'off',
    '@typescript-eslint/explicit-member-accessibility': 'off',
    '@typescript-eslint/indent': 'off',
    '@typescript-eslint/no-explicit-any': 'off',
    '@typescript-eslint/no-for-in-array': 'error',
    '@typescript-eslint/no-unnecessary-qualifier': 'error',
    '@typescript-eslint/no-unnecessary-type-assertion': 'error',
    '@typescript-eslint/no-unused-vars': ['error', { argsIgnorePattern: '^_' }],
    '@typescript-eslint/prefer-interface': 'off',
    '@typescript-eslint/restrict-plus-operands': 'error',
    '@typescript-eslint/unified-signatures': 'error',
    'class-methods-use-this': 'off',
    'consistent-return': 'off',
    'default-case': 'off',
    'import/first': 'off',
    'import/no-duplicates': 'off',
    'import/no-unresolved': 'off',
    'import/order': 'off',
    'import/prefer-default-export': 'off',
    'no-case-declarations': 'off',
    'no-extra-boolean-cast': 'off',
    'no-restricted-syntax': ['error', 'ForInStatement', 'LabeledStatement', 'WithStatement'],
    'no-undef': 'off',
    'no-use-before-define': 'off',
    'prefer-destructuring': 'off',
    curly: ['error', 'all'],
  },
};
